---
title: NavigatorID
slug: Web/API/NavigatorID
tags:
  - API
  - HTML DOM
  - Interface
  - Navigator
  - NavigatorID
  - Reference
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <code><strong>NavigatorID</strong></code> interface contains methods and properties related to the identity of the browser.</p>

<p>There is no object of type <code>NavigatorID</code>, but other interfaces, like {{domxref("Navigator")}} or {{domxref("WorkerNavigator")}}, implement it.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>NavigatorID</code></em><em> interface doesn't inherit any properties.</em></p>

<dl>
 <dt>{{domxref("NavigatorID.appCodeName")}} {{readonlyInline}} {{deprecated_inline}}</dt>
 <dd>Always returns "<code>Mozilla</code>", in any browser. This property is kept only for compatibility purposes.</dd>
 <dt>{{domxref("NavigatorID.appName")}} {{readonlyInline}}  {{deprecated_inline}}</dt>
 <dd>Always returns "<code>Netscape</code>", in any browser. This property is kept only for compatibility purposes.</dd>
 <dt>{{domxref("NavigatorID.appVersion")}} {{readonlyInline}} {{deprecated_inline}}</dt>
 <dd>Returns either "<code>4.0</code>" or a string representing version information about the browser. Do not rely on this property to return a useful value.</dd>
 <dt>{{domxref("NavigatorID.platform")}} {{readonlyInline}} {{deprecated_inline}}</dt>
 <dd>Returns either the empty string or a string representing the platform the browser is running on. Do not rely on this property to return a useful value.</dd>
 <dt>{{domxref("NavigatorID.product")}} {{readonlyInline}} {{deprecated_inline}}</dt>
 <dd>Always returns "<code>Gecko</code>", in any browser. This property is kept only for compatibility purposes.</dd>
 <dt>{{domxref("NavigatorID.userAgent")}} {{readonlyInline}}</dt>
 <dd>Returns the user-agent string for the current browser.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The </em><em><code>NavigatorID</code></em><em> interface doesn't inherit any methods.</em></p>

<dl>
 <dt>{{domxref("NavigatorID.taintEnabled()")}} {{deprecated_inline}}</dt>
 <dd>Always returns <code>false</code>. JavaScript taint/untaint functions were removed in JavaScript 1.2. This method is only kept for compatibility purposes. Not available in workers.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#navigatorid', 'NavigatorID')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Added the <code>appCodeName</code> property and the <code>taintEnabled()</code> method,  for compatibility purpose.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', '#navigatorid', 'NavigatorID')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorID")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Navigator")}} and {{domxref("WorkerNavigator")}} interfaces that implement it.</li>
</ul>
